Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.messaging.jms
Class FlexMessageConverter

    java.lang.Object
      org.springframework.flex.messaging.jms.FlexMessageConverter

All Implemented Interfaces:
  MessageConverter

    public class FlexMessageConverter

extends Object
implements MessageConverter

An implementation of the `MessageConverter` strategy interface that passes Flex Message headers to JMS Message properties and vice versa.

This particular converter is only concerned with the passing of those header/property values. It simply decorates a target converter to which it delegates for the actual conversion between a JMS Message and a Flex Message body. If no target converter is passed to the constructor, then it will create and delegate to a `SimpleMessageConverter` instance by default.

Author:
  Mark Fisher

Constructor Summary
`FlexMessageConverter()`
`FlexMessageConverter(MessageConverter targetConverter)`

Method Summary
`Object` | `fromMessage(javax.jms.Message message)`
`javax.jms.Message` | `toMessage(Object object, javax.jms.Session session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlexMessageConverter

    public FlexMessageConverter()

### FlexMessageConverter

    public FlexMessageConverter(MessageConverter targetConverter)

Method Detail

### fromMessage

    public Object fromMessage(javax.jms.Message message)
                       throws javax.jms.JMSException,
                              MessageConversionException

  Specified by:
    `fromMessage` in interface `MessageConverter`
  Throws:
    `javax.jms.JMSException`
    `MessageConversionException`

### toMessage

    public javax.jms.Message toMessage(Object object,
                                       javax.jms.Session session)
                                throws javax.jms.JMSException,
                                       MessageConversionException

  Specified by:
    `toMessage` in interface `MessageConverter`
  Throws:
    `javax.jms.JMSException`
    `MessageConversionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.